explain_feof_or_die(3)

NAME
explain_feof_or_die - check and reset stream status and report errors
    "check and reset stream status and report errors"

SYNOPSIS
#include <libexplain/feof.h>

void explain_feof_or_die(FILE *fp);
int explain_feof_on_error(FILE *fp);

DESCRIPTION
The explain_feof_or_die function is used to call the feof(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_feof(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_feof_on_error function is used to call the feof(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_feof(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the feof(3) system call.

RETURN VALUE
The explain_feof_or_die function only returns on success, see feof(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_feof_on_error function always returns the value return by the wrapped feof(3) system call.

EXAMPLE
The explain_feof_or_die function is intended to be used in a fashion similar to the following example:
    explain_feof_or_die(fp);

SEE ALSO

feof(3)
    check and reset stream status

explain_feof(3)
    explain feof(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.1
Copyright (C) 2010 Peter Miller